org.apache.ivy.osgi.core

## Class BundleInfoAdapter

- java.lang.Object
- - org.apache.ivy.osgi.core.BundleInfoAdapter

    public class BundleInfoAdapter
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `BundleInfoAdapter.ProfileNotFoundException`

### Field Summary

Fields
`static Configuration` `CONF_DEFAULT`
`static java.lang.String` `CONF_NAME_DEFAULT`
`static java.lang.String` `CONF_NAME_OPTIONAL`
`static java.lang.String` `CONF_NAME_TRANSITIVE_OPTIONAL`
`static Configuration` `CONF_OPTIONAL`
`static Configuration` `CONF_TRANSITIVE_OPTIONAL`
`static java.lang.String` `CONF_USE_PREFIX`
`static java.lang.String` `EXTRA_INFO_EXPORT_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`BundleInfoAdapter()`

### Method Summary

Methods
`static ModuleRevisionId` `asMrid(java.lang.String type, java.lang.String name, Version v)`
`static ModuleRevisionId` `asMrid(java.lang.String type, java.lang.String name, VersionRange v)`
`static DefaultArtifact` `buildArtifact(ModuleRevisionId mrid, java.net.URI baseUri, java.net.URI uri, java.lang.String type, java.lang.String ext, java.lang.String packaging)`
`static java.net.URI` `buildIvyURI(Artifact artifact)`
`static java.util.List<java.lang.String>` `getConfigurations(BundleInfo bundle)`
`static DefaultModuleDescriptor` `toModuleDescriptor(ModuleDescriptorParser parser, java.net.URI baseUri, BundleInfo bundle, ExecutionEnvironmentProfileProvider profileProvider)`
`static DefaultModuleDescriptor` `toModuleDescriptor(ModuleDescriptorParser parser, java.net.URI baseUri, BundleInfo bundle, java.util.jar.Manifest manifest, ExecutionEnvironmentProfileProvider profileProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONF_NAME_DEFAULT

    public static final java.lang.String CONF_NAME_DEFAULT

See Also:
  Constant Field Values

#### CONF_DEFAULT

    public static final Configuration CONF_DEFAULT

#### CONF_NAME_OPTIONAL

    public static final java.lang.String CONF_NAME_OPTIONAL

See Also:
  Constant Field Values

#### CONF_OPTIONAL

    public static final Configuration CONF_OPTIONAL

#### CONF_NAME_TRANSITIVE_OPTIONAL

    public static final java.lang.String CONF_NAME_TRANSITIVE_OPTIONAL

See Also:
  Constant Field Values

#### CONF_TRANSITIVE_OPTIONAL

    public static final Configuration CONF_TRANSITIVE_OPTIONAL

#### CONF_USE_PREFIX

    public static final java.lang.String CONF_USE_PREFIX

See Also:
  Constant Field Values

#### EXTRA_INFO_EXPORT_PREFIX

    public static final java.lang.String EXTRA_INFO_EXPORT_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### BundleInfoAdapter

    public BundleInfoAdapter()

### Method Detail

#### toModuleDescriptor

    public static DefaultModuleDescriptor toModuleDescriptor(ModuleDescriptorParser parser,
                                             java.net.URI baseUri,
                                             BundleInfo bundle,
                                             ExecutionEnvironmentProfileProvider profileProvider)

#### toModuleDescriptor

    public static DefaultModuleDescriptor toModuleDescriptor(ModuleDescriptorParser parser,
                                             java.net.URI baseUri,
                                             BundleInfo bundle,
                                             java.util.jar.Manifest manifest,
                                             ExecutionEnvironmentProfileProvider profileProvider)
                                                      throws BundleInfoAdapter.ProfileNotFoundException

Parameters:
  `baseUri` - uri to help build the absolute url if the bundle info has a relative uri.
Returns:
Throws:
  `BundleInfoAdapter.ProfileNotFoundException`

#### buildArtifact

    public static DefaultArtifact buildArtifact(ModuleRevisionId mrid,
                                java.net.URI baseUri,
                                java.net.URI uri,
                                java.lang.String type,
                                java.lang.String ext,
                                java.lang.String packaging)

#### getConfigurations

    public static java.util.List<java.lang.String> getConfigurations(BundleInfo bundle)

#### buildIvyURI

    public static java.net.URI buildIvyURI(Artifact artifact)

#### asMrid

    public static ModuleRevisionId asMrid(java.lang.String type,
                          java.lang.String name,
                          Version v)

#### asMrid

    public static ModuleRevisionId asMrid(java.lang.String type,
                          java.lang.String name,
                          VersionRange v)